gnutls_x509_crq_get_private_key_usage_period(3)

NAME
gnutls_x509_crq_get_private_key_usage_period - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_private_key_usage_period(gnutls_x509_crq_t crq, time_t * activation, time_t * expiration, unsigned int * critical);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

time_t * activation
    The activation time

time_t * expiration
    The expiration time

unsigned int * critical
    the extension status

DESCRIPTION
This function will return the expiration and activation times of the private key of the certificate.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the extension is not present, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/